///////////////////////////////////////////////////////////////////
// Interjection Dialogue for the Kivan
///////////////////////////////////////////////////////////////////

//-------------------------------------------------------------------------
// Tree of Life 
INTERJECT PLAYER1 33 MOKivanTree00
== PLAYER1 IF ~IsValidForPartyDialogue("kivan") Global("MOKivanTreeDone","GLOBAL",0)~ THEN
@7031
END
IF ~~ THEN REPLY @7032 DO ~SetGlobal("MOKivanTreeDone","GLOBAL",1)~ EXTERN mokivanj MOKivanTree01
IF ~~ THEN REPLY @7033 DO ~SetGlobal("MOKivanTreeDone","GLOBAL",1)~ EXTERN mokivanj MOKivanTree01
IF ~~ THEN REPLY @7034 DO ~SetGlobal("MOKivanTreeDone","GLOBAL",1)~ EXTERN mokivanj MOKivanTree01

//CHAIN mokivanj MOKivanTree01
//==kivan @7035
//EXTERN PLAYER1 33

BEGIN MOKIVANJ
IF ~~ THEN BEGIN MOKivanTree01
	SAY @7035 COPY_TRANS PLAYER1 33
END